Update contract
curl --request PUT \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/contract' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "COM216a",
"requester": "financial_institution",
"contractType": "CREDIT_CARD",
"businessUnit": "sandbox",
"extId": "any_contract_1232",
"contractCode": "REG74121101",
"customerExtId": "ORG20231117550"
}
'import requests
url = "https://{{baseUrl}}/amlyze-ws-rest/contract"
payload = {
"communicationNumber": "COM216a",
"requester": "financial_institution",
"contractType": "CREDIT_CARD",
"businessUnit": "sandbox",
"extId": "any_contract_1232",
"contractCode": "REG74121101",
"customerExtId": "ORG20231117550"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
communicationNumber: 'COM216a',
requester: 'financial_institution',
contractType: 'CREDIT_CARD',
businessUnit: 'sandbox',
extId: 'any_contract_1232',
contractCode: 'REG74121101',
customerExtId: 'ORG20231117550'
})
};
fetch('https://{{baseUrl}}/amlyze-ws-rest/contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}Contract
Update contract
PUT
/
amlyze-ws-rest
/
contract
Update contract
curl --request PUT \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/contract' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "COM216a",
"requester": "financial_institution",
"contractType": "CREDIT_CARD",
"businessUnit": "sandbox",
"extId": "any_contract_1232",
"contractCode": "REG74121101",
"customerExtId": "ORG20231117550"
}
'import requests
url = "https://{{baseUrl}}/amlyze-ws-rest/contract"
payload = {
"communicationNumber": "COM216a",
"requester": "financial_institution",
"contractType": "CREDIT_CARD",
"businessUnit": "sandbox",
"extId": "any_contract_1232",
"contractCode": "REG74121101",
"customerExtId": "ORG20231117550"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
communicationNumber: 'COM216a',
requester: 'financial_institution',
contractType: 'CREDIT_CARD',
businessUnit: 'sandbox',
extId: 'any_contract_1232',
contractCode: 'REG74121101',
customerExtId: 'ORG20231117550'
})
};
fetch('https://{{baseUrl}}/amlyze-ws-rest/contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}Authorizations
Body
application/json
Contract to update